00621
ATTRIB,CHATTR       00422
CD,CHDIR,CD..       00262
CLS                 00054
CMD,COMMAND         00085
COLOR,COLOUR        00179
COPY,CP             00668
DATE                00288
DEL,ERASE,RM        00244
DIR,LS              00442
ECHO                00182
EXIT                00091
FULL                00088
HELP,MAN            00337
MD,MKDIR            00068
MOVE,MV             00685
PAUSE               00134
RD,RMDIR            00188
REM                 00089
REN,RENAME          00248
SIZE                00274
TIME                00295
TYPE,CAT            00191
VER                 00064
#
## ATTRIB ##########
Displays or changes file attributes.

ATTRIB [%+R | %-R] [%+A | %-A] [%+S | %-S] [%+H | %-H]
       [drive:][path]filename [%H] [%S]

  +   Sets an attribute.
  -   Clears an attribute.
  R   Read-only file attribute.
  A   Archive file attribute.
  S   System file attribute.
  H   Hidden file attribute.
  %H  Processes hidden files as well.
  %S  Processes system files as well.

#
## CD ##############
Displays the name of or changes the current directory.

CD [drive:][path]
CD[..]

  ..  Specifies that you want to change to the parent
      directory.

Type CD without parameters to display the current drive and
directory.

#
## CLS #############
Clears the screen.

CLS

#
## CMD #############
Starts a new instance of the SymbOS SymShell CLI.

CMD

#
## COLOR ###########
Changes the pen, paper and border colour.

COLOR pen paper [border]

Each colour for pen, paper and border is defined by a value
between 0 and 3.

#
## COPY ############
Copies one or more files to another location.

COPY source destination [%H] [%S]

  source       Specifies the file or files to be copied.
               Use wildcards or a device or directory only
               for copying multiple files.
  destination  Specifies the directory and/or filename for
               the new file(s).
  %H           Processes hidden files as well.
  %S           Processes system files as well.

Source and destination can be single files, directories and
full pathes including wildcards.

To append files, specify a single file for destination, but
multiple files for source using wildcards.

#
## DATE ############
Displays or sets the date.

DATE [%T | date]

Type DATE without parameters to display the current date
setting and a prompt for a new one. Press ENTER to keep the
same date.

With the %T switch the actual date is printed without
asking for a new one.

#
## DEL #############
Deletes one or more files.

DEL [drive:][path]filename

  [drive:][path]filename  Specifies the file(s) to delete.
                          Specify multiple files by using
                          wildcards.

#
## DIR #############
Displays a list of files and subdirectories in a directory.

DIR [drive:][path][filename] [%P] [%F] [%H] [%S]

  [drive:][path][filename]
      Specifies drive, directory, and/or files to list.
      Use wildcards for displaying a subset of filetypes.
  %P  Pauses after each screenful of information.
  %F  Displays the free amount of disc space.
  %H  Displays hidden files
  %S  Displays system files

#
## ECHO ############
Displays messages, or turns command-echoing on or off.

ECHO [ON | OFF | message]

Type ECHO without parameters to display the current echo
setting.

#
## EXIT ############
Quits the current instance of the SymbOS SymShell CLI.

EXIT

#
## FULL ############
Toggles between fullscreen and window display mode.

FULL

#
## HELP ############
Gives help information on a command or list the command
overview.

HELP    [command] [%P]
command %?

  command  Gives help information for this command.
  %P       Pauses after each screenful of information.

You can also use the %? switch with a command to get
the same specific help information.

#
## MD ##############
Creates a directory.

MD [drive:]path

#
## MOVE ############
Moves files and directories.

MOVE [drive:][path]filename destination [%H] [%S]

  [drive:][path]filename  Specifies the location and name
                          of the files and directories you
                          want to move. Specify multiple
                          files by using wildcards.
  destination             Specifies the new location.
                          Destination can consist of a
                          drive letter and colon, a
                          directory name, or a combination.
  %H                      Processes hidden files as well.
  %S                      Processes system files as well.

#
## PAUSE ###########
Suspends processing of a batch program and displays the
message:
Press any key to continue....

PAUSE

#
## RD ##############
Removes (deletes) an empty directory.

RD [drive:]path

Directories containing files and/or sub directories can't
be deleted and have to be cleared first.

#
## REM #############
Records comments (remarks) in a batch file.

REM [comment]

#
## REN #############
Renames a file/directory or files.

REN [drive:][path]filename1 filename2

Use wildcards in old and new filename for renaming multiple
files.
Note that you cannot specify a new drive or path for your
destination.

#
## SIZE ############
Changes the size of the terminal window in chars.

SIZE xsize ysize

  xsize  width of the window in chars, which can be between
         10 and 80.
  ysize  height of the window in chars, which can be
         between 4 and 25 (MSX: 24).

#
## TIME ############
Displays or sets the system time.

TIME [%T | time]

Type TIME with no parameters to display the current time
setting and a prompt for a new one. Press ENTER to keep the
same time.

With the %T switch the actual time is printed without
asking for a new one.

#
## TYPE ############
Displays the contents of text files.

TYPE [drive:][path]filename [%P]

  %P  Pauses after each screenful of text.

Use wildcards for typing multiple files.

#
## VER #############
Displays the SymbOS version.

VER

